package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.FareBean;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class FareAdapter extends BaseQuickAdapter<FareBean.RecordsBean, BaseViewHolder> {

    public FareAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, FareBean.RecordsBean item) {
        helper.setText(R.id.tv_price, MathUtils.converData(item.getFareMoney(),3));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_title, "快递单号:".concat(item.getTrackingNumber()));
        helper.setText(R.id.tv_create_by, item.getCreatedByName());
    }
}

